librpc-xml-perl (0.82-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 0.82.
  * Update debian/upstream/metadata.
  * Refresh fix-spelling-error-in-manpage.patch.
  * Drop RPC-XML-0.80-IPv6-support.patch.
    Taken from CPAN RT and now incorporated.
  * Update test and runtime dependencies.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2021 18:45:54 +0100

librpc-xml-perl (0.80-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Rene Mayorga from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ gregor herrmann ]
  * Add patch from CPAN RT to add IPv6 support.
  * Add another correction to debian/patches/fix-spelling-error-in-
    manpage.patch.
  * Add (build) dependency on libio-socket-ip-perl.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Update {versioned,alternative} (build) dependencies.
  * Bump debhelper compatibility level to 11.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Mar 2019 23:17:16 +0100

librpc-xml-perl (0.80-1) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Import upstream version 0.80
  * Drop 0002-Remove-timestamps-from-generated-xml-files.patch
  * Drop 0001-Explicitly-use-an-IPv4-socket-in-the-Net-Server-test.patch
  * Add fix-spelling-error-in-manpage.patch patch
  * Bump Debhelper compat level to 9
  * Declare compliance with Debian policy 3.9.8
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 May 2016 13:43:59 +0200

librpc-xml-perl (0.79-1) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Import upstream version 0.79
  * Suggest libcgi-pm-perl | perl (<< 5.19)
    CGI is used in the apache server module and is going out of core Perl
    in 5.22
  * Declare conformance with Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Fri, 12 Jun 2015 11:56:13 +0000

librpc-xml-perl (0.78-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop debian/tests/control, add Testsuite field to debian/control instead.

  [ Niko Tyni ]
  * Make the build reproducible by dropping XML timestamps.
    Patch by Reiner Herrmann. (Closes: #787206)

 -- Niko Tyni <ntyni@debian.org>  Wed, 03 Jun 2015 23:15:49 +0300

librpc-xml-perl (0.78-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Use 127.0.0.1 to force IPv4 usage in tests again. (Closes: #759944)
  * Add autopkgtest support
  * Fix the libcompress-raw-zlib-perl suggestion to prefer the core
    perl package.

 -- Niko Tyni <ntyni@debian.org>  Sun, 07 Sep 2014 10:34:05 +0300

librpc-xml-perl (0.78-1) unstable; urgency=medium

  * New upstream release.
    Fixes "FTBFS: Test failure" (Closes: #739144)
  * Drop fix-spelling-error-in-manpage.patch, merged upstream.
  * Update years of copyright.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Feb 2014 04:32:01 +0100

librpc-xml-perl (0.77-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 0.77
  * Remove README from docs
  * Update debian/copyright (Debian contributors)
  * Remove Net-Server-2.x-compatibility.patch since compatibility has
    been fixed in upstream (RT #77992)
  * Change fix-spelling-error-in-manpage.patch: previous spelling error
    has been fixed in upstream but there is another error to fix
  * Add debian/clean to remove ex/linux.proc.{mem,cpu}info.xpl
  * Bump Standards-Version to 3.9.4
  * Remove Apache::RPC::* files which depends on mod_perl 1 (Closes: #551541)
  * Add README.Debian to explain that Apache::RPC::* has been removed

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 14 May 2013 20:59:50 +0200

librpc-xml-perl (0.76-3) unstable; urgency=low

  * Team upload.
  * Drop obsolete patch, not needed anymore with Net-Server 2.x:
    0001-Explicitly-use-an-IPv4-socket-in-the-Net-Server-test.patch.
  * Explicitly Build-depend on libnet-server-perl >= 2.005,
    to make backporting work easier.
  * New patch: Net-Server-2.x-compatibility.patch (Closes: #678767).
    Thanks to Niko Tyni <ntyni@debian.org>.

 -- intrigeri <intrigeri@debian.org>  Tue, 26 Jun 2012 05:14:25 +0200

librpc-xml-perl (0.76-2) unstable; urgency=low

  * Add patch 0001-Explicitly-use-an-IPv4-socket-in-the-Net-Server-
    test.patch: Use 127.0.0.1 to force IPv4 usage in test to avoid IPv6
    problems in libnet-server-perl. Thanks to Niko Tyni for triaging the
    problem and creating the patch. (Closes: #666651)
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Apr 2012 21:55:04 +0200

librpc-xml-perl (0.76-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.76
  * debian/copyright:
    - Replace DEP5 Format-Specification URL from svn.debian.org to
      anonscm.debian.org URL.
    - Update copyright years for upstream files.
    - Update copyright years for debian/* packaging.
  * Bump Standards-Version to 3.9.2.
  * debian/patches:
    - Drop spelling.patch (applied upstream).
    - Add new fix-spelling-error-in-manpage.patch to fix a spelling
      error in manpage.
  * debian/control:
    - Add alterative Build-Depends-Indep on
      perl (>= 5.12) | libtest-simple-perl (>= 0.94).
    - Add (Build-)Depends(-Indep) on libdatetime-format-iso8601-perl
      (>= 0.07).

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 23 Aug 2011 12:33:08 +0200

librpc-xml-perl (0.74-2) unstable; urgency=low

  * Prepare build and runtime dependencies for libwww-perl 6
    (closes: #620487).
  * Email change: Niko Tyni -> ntyni@debian.org

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Apr 2011 18:58:47 +0200

librpc-xml-perl (0.74-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.9.1 (no changes)
  * Refresh copyright information
  * Bump to debhelper 8
  * Drop unnecessary dependencies satisfied in oldstable
  * Rewrite control description

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

  [ gregor herrmann ]
  * Refresh spelling.patch (offset).

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 27 Feb 2011 09:43:36 -0500

librpc-xml-perl (0.73-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ gregor herrmann ]
  * Bump versioned (build) dependency on libwww-perl.
  * Depend on either libxml-parser-perl _or_ libxml-libxml-perl.
  * Set Standards-Version to 3.8.4 (no changes).
  * Convert to source format 3.0 (quilt).
  * debian/copyright: update formatting and licenses.
  * Add patch to fix some spelling mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Mar 2010 16:56:56 +0200

librpc-xml-perl (0.72-1) unstable; urgency=low

  * New upstream release
  * debian/control: Substitute unversioned Build-Depends and Depends on
    libxml-libxml-perl with versioned one on (>= 1.70).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 15 Dec 2009 13:47:26 +0100

librpc-xml-perl (0.71-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Added myself to Uploaders
  * Updated build dependencies

  [ Salvatore Bonaccorso ]
  * New upstream release
    - Make Base64 data-type allow zero-length data (Closes: #472181).
    - Restore backwards-compatibility for projects that use RPC::XML::Parser
      directly (Closes: #548930).
  * debian/control: Add libxml-libxml-perl to Build-Depends and Depends.
  * debian/rules: cleanup for override targets after removing/move of the
    author tests.
  * debian/copyright: Refresh to use the current revision of the machine
    readable format-specification proposed by DEP5.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 13 Dec 2009 15:07:42 +0100

librpc-xml-perl (0.69-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Drop (Build-)Depends on libscalar-list-utils-perl since requirements are
      now for List::Util 1.19 which is in perl (>= 5.10.0).
    - Bump Build-Depends on debhelper (>= 7.0.50) and simplify debian/rules
      using override targets.
    - Add versioned Build-Dependencies on libtest-pod-perl (>= 1.26) and
      libpod-simple-perl (>= 3.07).
  * debian/rules:
    - use override targets to simlify debian/rules
    - override dh_auto_test to perform author tests on build.
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 15 Sep 2009 20:53:46 +0200

librpc-xml-perl (0.67-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Rene Mayorga ]
  * debian/control: update my email address.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * New upstream release.
    - Adds support for <nil/> (Closes: #471211).
  * debian/control:
    - Add myself to Uploaders
    - Bump Standards-Version to 3.8.2 (no changes)
    - Add versioned Build Dependency on libscalar-util-perl (>= 1.20)
  * debian/copyright: Update copyrights for holder including 2009.

  [ gregor herrmann ]
  * debian/copyright: update years of packaging copyright and a license URL.
  * debian/control: add libscalar-list-utils-perl (>= 1:1.20) to Depends.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 10 Jul 2009 20:32:31 +0200

librpc-xml-perl (0.64-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: switch to new proposed format.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Oct 2008 14:44:49 +0200

librpc-xml-perl (0.63-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * New upstream release
  * remove test-localhost.patch; applied upstream
    + remove quilt from the build and build-depends
  * upgrade to debhelper 7
    + no longer ship examples' Makefile as the examples are shipped pre-made
  * Standards-version 3.8.0 (no changes)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 19 Sep 2008 23:58:07 +0300

librpc-xml-perl (0.60-3) unstable; urgency=medium

  * Add patch test-localhost.patch: allow both 'localhost' and
    'localhost.localdomain' as valid values in t/40server.t
    (closes: #482221); add quilt framework.
  * Severity set to medium because of the FTBFS bug.

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 May 2008 17:39:10 +0200

librpc-xml-perl (0.60-2) unstable; urgency=low

  [ gregor herrmann ]
  * Switch back from libxml-libxml-perl to libxml-parser-perl as a (build)
    dependency to fix an FTBFS bug (closes: #476032).
  * Make (build) dependency on libwww-perl versioned.
  * debian/control: change my email address.
  * Refresh debian/rules, no functional changes.

  [ Damyan Ivanov ]
  * Change my email address

 -- Damyan Ivanov <dmn@debian.org>  Sun, 04 May 2008 23:18:40 +0300

librpc-xml-perl (0.60-1) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Switch from libxml-parser-perl to libxml-libxml-perl

  [ gregor herrmann ]
  * New upstream release.
  * debian/copyright: update years of copyright and licensing terms.
  * debian/rules:
    - remove obsolete source and diff targets
    - remove DESTDIR variable for dh_builddeb
    - remove call to dh_installman

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 10 Apr 2008 16:34:20 +0200

librpc-xml-perl (0.59-3) unstable; urgency=low

  * debian/rules:
    - delete /usr/lib/perl5 only if it exists (closes: #467854)
    - create install-stamp target depending on build-stamp
    - use $@ for touching stamp files
    - use DESTDIR and PREFIX for make install
    - add install to .PHONY target
    - remove some whitespace and comments
  * debian/watch: use dist-based URL.
  * Set Standards-Version to 3.7.3 (no changes).
  * debian/control: Suggest libapache2-mod-perl2 instead of
    libapache-mod-perl.
  * debian/copyright: add upstream source location and update years of
    copyright.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 12 Mar 2008 21:51:19 +0100

librpc-xml-perl (0.59-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

  [ Rene Mayorga ]
  * debian/control
    + Add libnet-server-perl as B-D-I
    + Add myself as uploader
  * fixing debian/watch (Closes: #449697)
  * debian/rules
    + Remove unused dh_calls
    + Remove OPTIMIZE flags, there was not needed

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 06 Nov 2007 21:26:56 -0600

librpc-xml-perl (0.59-1) unstable; urgency=low

  * New upstream release.
  * Added libtest-pod-perl, libtest-pod-coverage-perl to Build-Depends-Indep.
  * Set debhelper compatibility level to 5.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun,  2 Jul 2006 17:04:51 +0200

librpc-xml-perl (0.58-2) unstable; urgency=low

  * Add netbase to Build-Depends-Indep. (Closes: #373956)
  * Don't ignore the return value of 'make realclean'.
  * Replace `pwd` with $(CURDIR) in debian/rules.
  * Don't install an empty '/usr/lib/perl5' directory.
  * Install examples in /usr/share/doc.
  * Install the proper README file in /usr/share/doc.

 -- Niko Tyni <ntyni@iki.fi>  Thu, 22 Jun 2006 23:30:19 +0300

librpc-xml-perl (0.58-1) unstable; urgency=low

  * New upstream release
    Closes: #296664 - RPC::XML::string->as_string returns incorrect snippet
    for the 0 string
    Closes: #358170 - New upstream release
  * [debian/control]
    + Debian Perl Group takes over the package (with permission of current
      maintainer, Ivan Kohler, see #296664). Thanks to Ivan for his work so
      far.
      - D-P-G is Maintainer:
      - Ivan moved to Uploaders
      - Added myself as Uploader too
    + Bumped Standards-Version to 3.7.2
      - Move all except debhelper from Build-Depends to Build-Depends-Indep
    + Add ${perl:Depends} to Depends to pull perl dependency
    + Add Suggests: libapache-mod-perl due to Apache::RPC classes
  * [debian/rules]
    + Added manual remove of Makefile[.old] to clean target to address
      cleaning of partial build
    + Put comments as of why binary-arch target is really there
    + Remove commented out dh_* calls that are clearly never going to be
      needed
    + Enable test suite

 -- Damyan Ivanov <dam@modsoftsys.com>  Tue, 13 Jun 2006 12:46:34 +0300

librpc-xml-perl (0.57-1) unstable; urgency=low

  * New upstream release (closes: Bug#280699)

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 21 Jan 2005 19:12:09 -0800

librpc-xml-perl (0.54-1) unstable; urgency=low

  * New upstream release
  * Change Section: from interpreters to perl
  * debhelper compat v4

 -- Ivan Kohler <ivan-debian@420.am>  Sat,  7 Aug 2004 20:59:52 -0700

librpc-xml-perl (0.53-1) unstable; urgency=low

  * Initial Release (closes: Bug#186036).

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 23 Mar 2003 17:54:53 -0800
